import request from '@/utils/request'

// 查询学校风景列表
export function listMallSchoolScenery(query) {
  return request({
    url: '/mall/mallSchoolScenery/list',
    method: 'get',
    params: query
  })
}

// 查询学校风景详细
export function getMallSchoolScenery(sceneryId) {
  return request({
    url: '/mall/mallSchoolScenery/' + sceneryId,
    method: 'get'
  })
}

// 新增学校风景
export function addMallSchoolScenery(data) {
  return request({
    url: '/mall/mallSchoolScenery',
    method: 'post',
    data: data
  })
}

// 修改学校风景
export function updateMallSchoolScenery(data) {
  return request({
    url: '/mall/mallSchoolScenery',
    method: 'put',
    data: data
  })
}

// 删除学校风景
export function delMallSchoolScenery(sceneryId) {
  return request({
    url: '/mall/mallSchoolScenery/' + sceneryId,
    method: 'delete'
  })
}
